@font-face {
    font-family: treasurehunt;
    src: url(../fonts/treasurehunt.ttf);
}

@font-face {
    font-family: pieces-of-eight;
    src: url(../fonts/pieces-of-eight.ttf);
}

* {
    font-family: pieces-of-eight;
    font-size: medium;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background-color: #1e1e1e;
}

#background {
    background-image: url('../images/body-background.png');
    background-size: cover;
    background-repeat: no-repeat;
    position: fixed;
    inset: 0;
    z-index: -1;
}

#players {
    display: flex;
    flex-direction: column;
    padding: 0.5rem;
    gap: .3rem;
}

.column {
    display: flex;
    flex: 1;
    flex-direction: column;
    text-align: center;
    color: white;
}

.column>* {
    height: 20px;
}

.column.inline {
    flex-direction: row;
}

.column.inline>button {
    min-width: 1.8rem;
}

.column:first-child {
    min-width: 5.5rem;
    width: 15%;
}

.column input:last-child {
    align-self: flex-end;
    justify-self: end;
}

.player {
    display: flex;
    flex-direction: row;
    border-top: 1px solid white;
    padding-top: .3rem;
}

.player input[type="text"] {
    text-transform: uppercase;
    background-color: transparent;
    border: transparent;
    color: white;
    font-size: large;
}

#btn-add-player,
#btn-info {
    border-radius: 5px;
    font-size: large;
    background-color: white;
    border: none;
    color: black;
    width: fit-content;
    padding: 0 .5rem;
    margin: auto;
}

.btn-remove-player {
    color: rgb(177, 87, 3);
    background-color: transparent;
    border: none;
    outline: white;
    font-size: large;
}

.player input {
    width: 100%;
    padding: 0;
    margin: 0;
    text-align: center;
    opacity: 0.93;
    position: relative;
}

.player input[type="number"]::before {
    content: ' ';
    display: block;
    position: absolute;
    z-index: 10;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: aqua;
    background-image: url('../images/paper.jpg');
    background-size: cover;
}

[data-info] {
    display: none;
}